> ## Documentation Index
> Fetch the complete documentation index at: https://docs.x.com/llms.txt
> Use this file to discover all available pages before exploring further.

# X API 概要

> Posts、users、Spaces、Direct Messages、lists、trends、media、compliance、streaming、webhook エンドポイントを網羅した X API v2 の完全なリファレンス。

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

X API は X の公開会話へのプログラム的なアクセスを提供します。以下のすべてのエンドポイントは [従量課金制 (pay-per-use)](/x-api/introduction) プランで利用できます。Enterprise 専用と記載されているエンドポイントには [Enterprise](/enterprise-api/introduction) プランが必要です。

***

## エンドポイント

<CardGroup cols={3}>
  <Card title="Posts" icon="message" href="/x-api/posts/lookup/introduction">
    投稿の検索、取得、公開を行います。タイムライン、スレッド、引用投稿にアクセスできます。
  </Card>

  <Card title="Users" icon="user" href="/x-api/users/lookup/introduction">
    プロフィールの参照、フォロー、ブロック、ミュートの管理を行います。
  </Card>

  <Card title="Direct Messages" icon="envelope" href="/x-api/direct-messages/lookup/introduction">
    プライベートメッセージの送受信を行います。
  </Card>

  <Card title="Spaces" icon="microphone" href="/x-api/spaces/lookup/introduction">
    ライブ音声会話と参加者を検索できます。
  </Card>

  <Card title="Lists" icon="list" href="/x-api/lists/list-lookup/introduction">
    キュレーションされたアカウントのリストを作成・管理します。
  </Card>

  <Card title="Likes" icon="heart" href="/x-api/posts/likes/introduction">
    投稿にいいねをつけたり取り消したりします。誰が投稿にいいねをつけたかを参照できます。
  </Card>

  <Card title="Trends" icon="arrow-trend-up" href="/x-api/trends/trends-by-woeid/introduction">
    地域別のトレンドトピックとパーソナライズされたトレンド。
  </Card>

  <Card title="Media" icon="image" href="/x-api/media/introduction">
    画像、動画、GIF をアップロードします。字幕とメタデータを管理します。
  </Card>

  <Card title="Communities" icon="users" href="/x-api/communities/lookup/introduction">
    コミュニティを検索・参照できます。
  </Card>

  <Card title="Community Notes" icon="note-sticky" href="/x-api/community-notes/introduction">
    Community Notes の作成、評価、検索を行います。
  </Card>

  <Card title="News" icon="newspaper" href="/x-api/news/introduction">
    ニュース記事を検索・取得します。
  </Card>

  <Card title="Compliance" icon="shield-check" href="/x-api/compliance/batch-compliance/introduction">
    バッチコンプライアンスジョブおよびコンプライアンスストリーム。
  </Card>
</CardGroup>

***

## ストリーミングとリアルタイム

<CardGroup cols={3}>
  <Card title="Filtered Stream" icon="filter" href="/x-api/posts/filtered-stream/introduction">
    フィルタールールに一致する投稿をリアルタイムで受け取ります。
  </Card>

  <Card title="X Activity" icon="bolt" href="/x-api/activity/introduction">
    フォロー、いいね、プロフィール更新などのリアルタイムアクティビティイベントを購読します。
  </Card>

  <Card title="Webhooks" icon="webhook" href="/x-api/webhooks/introduction">
    HTTP コールバックでイベントデータを受け取ります。
  </Card>
</CardGroup>

***

## Enterprise 限定

これらのエンドポイントには [Enterprise プラン](/enterprise-api/introduction) が必要です。

<CardGroup cols={3}>
  <Card title="Volume Streams" icon="satellite-dish" href="/x-api/posts/volume-streams/introduction">
    フルファイアホースおよび言語別ストリーム。
  </Card>

  <Card title="Likes Streams" icon="heart" href="/x-api/stream/likes-streams-introduction">
    すべての、またはサンプリングされたいいねをリアルタイムでストリーミングします。
  </Card>

  <Card title="Powerstream" icon="bolt" href="/x-api/powerstream/introduction">
    高度な演算子に対応した高性能フィルタリングストリーミング。
  </Card>

  <Card title="Analytics" icon="chart-bar" href="/x-api/posts/get-post-analytics">
    大規模な投稿・メディアのエンゲージメント指標。
  </Card>

  <Card title="Account Activity" icon="bell" href="/x-api/account-activity/introduction">
    リアルタイムのユーザーイベントサブスクリプション。
  </Card>

  <Card title="Stream Webhooks" icon="webhook" href="/x-api/webhooks/stream/introduction">
    webhook 経由での filtered stream 配信。
  </Card>
</CardGroup>

***

## クイックスタート

```bash theme={null}
curl "https://api.x.com/2/users/by/username/xdevelopers" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<CardGroup cols={2}>
  <Card title="最初のリクエストを送る" icon="rocket" href="/x-api/getting-started/make-your-first-request">
    認証情報を取得して、数分で API を呼び出しましょう。
  </Card>

  <Card title="SDK" icon="cube" href="/tools-and-libraries">
    Python と TypeScript の公式ライブラリ。
  </Card>
</CardGroup>
